=== debian/control ===
Source: zita-dpl1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 12),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfreetype6-dev,
 libjack-dev,
 pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/zita-dpl1.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-dpl1
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-dpl1-doc/quickguide.html

Package: zita-dpl1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: digital peak level limiter
 DPL1 is an look-ahead digital peak limiter, the kind you would use as the
 final step to avoid clipping when mastering or mixing. It can be used as
 an effect on individual instrument tracks as well.
 .
 Latency is 1.2 ms rounded up to the nearest multiple of 8, 16 or
 32 samples depending on sampling frequency. This amounts to 56 samples at
 44.1 kHz, 64 samples at 48 kHz, and twice those values for 88.2 or 96 kHz.
 .
 In most cases you only need -k number_of_channels, which can be 1 to 16.
 The same gain reduction is applied to all channels.
